<?php

namespace App\Http\Controllers\Staff;
use Illuminate\Http\Request;
use App\Http\Controllers\CollegeBaseController;
use DB;
use Carbon\Carbon;
use Session,URL;
use App\Models\StaffCourse;
use App\Models\Staff;
use App\Models\Faculty;


class StaffCoursesController extends CollegeBaseController
{
	protected $filter_query = [];
    protected $base_route = 'staff.staffcourse';
    protected $view_path = 'staff.staffcourse';
    protected $panel  = 'Staff Courses';
    public function index()
    {
    	 $data=[];
    	 $data['staffcourse']=StaffCourse::all();
         $data['stafflists']= $this->staffList();
         $data['facultylists']= $this->CourseList();
        return view(parent::loadDataToView($this->view_path.'.index'),compact('data'));
    	
    }

     public function staffList()
    {
      
        $stafflist = Staff::select('id',DB::raw("CONCAT(first_name,' ',last_name) as first_name"),'branch_id')
                    ->where(function($q){
                     $q->where('branch_id',Session::get('activeBranch'))
                        ->orWhere('branch_id',0)
                        ->orWhere('branch_id',Null);
                    })->orderBy('first_name')->get();
        $stafflist = array_pluck($stafflist,'first_name','id');
        $stafflist = array_prepend($stafflist,'Select Staff...','');
    
        return $stafflist;
    }


     public function CourseList()
    {
      
        $facultylist = Faculty::select('id','faculty','branch_id')
                    ->where(function($q){
                     $q->where('branch_id',Session::get('activeBranch'))
                        ->orWhere('branch_id',0)
                        ->orWhere('branch_id',Null);
                    })->orderBy('faculty')->get();
        $facultylist = array_pluck($facultylist,'faculty','id');
        $facultylist = array_prepend($facultylist,'Select Faculty...','');
    
        return $facultylist;
    }
   
      public function store(Request $request)
    {
             

               $staffcourse = StaffCourse::select('*')
                ->where('staff_id',$request->staff_id)
                ->where('course_id', $request->course_id)
                ->first();


                
              if($staffcourse)
              {
                
                 
              }
              else
              {
               
                 $msg=[
                    'staff_id.required'=>"Please Select Staff", 
                    'course_id.required'=>"select Course",  
                     ];
                $rules=[
                    'staff_id'=>'required',
                    'course_id'=> 'required',
                      ];
                $this->validate($request,$rules,$msg);
                $request->request->add(['created_at'=>Carbon::now()]);
                $request->request->add(['created_by'=>auth()->user()->id]);
                $request->request->add(['record_status'=>1]);
                StaffCourse::create($request->all());
                 $request->session()->flash($this->message_success, $this->panel.' Added Successfully.');
              }
      

       

        
        return back();
    }
            
    public function delete(Request $request, $id)
    {

         $data['row']=StaffCourse::find($id);

        if(!$data['row']){
            parent::invalidRequest();
        }

           $data['row']->delete();
            

        return redirect()->route($this->base_route)->with('message_success', $this->panel.' Deleted Successfully');  
    }

     public function active(request $request, $id)
    {
        if (!$row = StaffCourse::find($id)) return parent::invalidRequest();

        $request->request->add(['status' => 'active']);

        $row->update($request->all());

        $request->session()->flash($this->message_success, $row->faculty.' '.$this->panel.' Active Successfully.');
        return redirect()->route($this->base_route);
    }

    public function inActive(request $request, $id)
    {
        if (!$row = StaffCourse::find($id)) return parent::invalidRequest();

        $request->request->add(['status' => 'in-active']);

        $row->update($request->all());

        $request->session()->flash($this->message_success, $row->semester.' '.$this->panel.' In-Active Successfully.');
        return redirect()->route($this->base_route);
    }
}
