
<?php $__env->startSection('content'); ?>
<div class="main-content">
    <div class="main-content-inner">
        <div class="page-content">
            <div class="page-header">
                <h1> Miscellaneous Fees Manager 
                    <small>
                        <i class="ace-icon fa fa-angle-double-right"></i>
                        Cancelled Receipts
                    </small>
                </h1>
            </div>
            
            <h4 class="header large lighter blue"><i class="fa fa-search"></i> Search Receipts</h4>
            <form autocomplete="off" method="GET" action="<?php echo e(route('cancelled_receipts')); ?>">
			    <div class="clearfix">
			        <div class="form-group">
			            <label class="col-sm-2 control-label"><?php echo e(env('course_label')); ?></label>
			            <div class="col-sm-3">
			                <?php echo Form::select('faculty',$data['course'], null, ['class' => 'form-control', 'onChange' => 'loadSemesters(this);']); ?>

			            </div>
			            <?php echo Form::label('reg_date', 'Date', ['class' => 'col-sm-2 control-label']); ?>

			            <div class=" col-sm-5">
			                <div class="input-group ">
			                    <?php echo Form::date('start_date', null, ["placeholder" => "YYYY-MM-DD", "class" => "input-sm form-control border-form input-mask-date date-picker", "data-date-format" => "yyyy-mm-dd"]); ?>

			                    <span class="input-group-addon">
			                        <i class="fa fa-exchange"></i>
			                    </span>
			                    <?php echo Form::date('end_date', null, ["placeholder" => "YYYY-MM-DD", "class" => "input-sm form-control border-form input-mask-date date-picker", "data-date-format" => "yyyy-mm-dd"]); ?>

			                    <?php echo $__env->make('includes.form_fields_validation_message', ['name' => 'reg_start_date'], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
			                    <?php echo $__env->make('includes.form_fields_validation_message', ['name' => 'reg_end_date'], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
			                </div>
			            </div>
			    	</div>
				</div>
				<div class="clearfix">
				    <div class="form-group">
				        <label class="col-sm-2 control-label">Receipt Payment Type</label>
				        <div class="col-sm-3">
				            <?php echo Form::select('pay_type',$data['pay_type'],null,['class'=>'form-control']); ?>            
				        </div>
				        <label class="col-sm-2 control-label">Student Name</label>
				        <div class="col-sm-2">
				        	<?php echo Form::text('name',null,['class'=>'form-control','palceholder'=>'Enter Student Name']); ?>

				        </div>
				        <label class="col-sm-1 control-label">Reg. No</label>
				        <div class="col-sm-2">
				            <?php echo Form::text('reg_no',null,['class'=>'form-control','palceholder'=>'Enter Registration No.']); ?>

				        </div>
				    </div>
				</div>
				<div class="clearfix">
				    <div class="form-group">
				    	<label class="col-sm-2 control-label">Cancelled By</label>
				         <div class="col-sm-3">
				            <?php echo Form::select('cancelled_by',$data['user'],null,['class'=>'form-control']); ?>

				        </div>
				        <label class="col-sm-2 control-label">Receipt Number</label>
				         <div class="col-sm-2">
				            <?php echo Form::text('receipt_no',null,['class'=>'form-control']); ?>

				        </div>
				        
				         <div class="col-md-3 align-right">        &nbsp; &nbsp; &nbsp;

				        <button class="btn btn-info" type="submit" id="filter-btn">
				            <i class="fa fa-filter bigger-110"></i>
				            Search
				        </button>
				    </div>
				    </div>
				</div>
			</form>

			<h4 class="header large lighter blue"><i class="fa fa-list"></i> Cancelled receipt list</h4>
			<div class="table-responsive">
			<table id="dynamic-table" class="table table-striped table-bordered table-hover">
				<thead>
					<tr>
						<th>S.No</th>
						<th><?php echo e(env('course_label')); ?></th>
						<th>Section</th>
						<th>Reg. No</th>
						<th>Name</th>
						<th>Receipt No.</th>
						<th>Paid</th>
						<th>Discount</th>
						<th>Receipt Type</th>
						<th>Cancel Date</th>
						<th>Cancelled By</th>
					</tr>
				</thead>
				<tbody>
					<?php if(count($data['receipts'])>0): ?>
						<?php ($i=1); ?>
						<?php $__currentLoopData = $data['receipts']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$val): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
							<tr>
								<td><?php echo e($i); ?></td>
								<td><?php echo e($val->course); ?></td>
								<td><?php echo e($val->sem); ?></td>
								<td><?php echo e($val->reg_no); ?></td>
								<td><?php echo e($val->student_name); ?></td>
								<td><?php echo e($val->reciept_no); ?></td>
								<td><?php echo e($val->amount_paid); ?></td>
								<td><?php echo e($val->discount); ?></td>
								<td><?php echo e($val->payment_type); ?></td>
								<td><?php echo e(\Carbon\Carbon::parse($val->log_created_at)->format('d-M-Y')); ?></td>
								<td><?php echo e($val->cancel_by); ?></td>
							</tr>
						<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
					<?php endif; ?>
				</tbody>
				
			</table>
			</div>
			
        </div>
    </div>
</div>        
<?php $__env->stopSection(); ?>
<?php $__env->startSection('js'); ?>
	<?php echo $__env->make('includes.scripts.dataTable_scripts', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.master', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>