<?php $__env->startSection('css'); ?>
    <!-- page specific plugin styles -->
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/select2.min.css')); ?>" />
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>

    <div class="main-content">
        <div class="main-content-inner">
            <div class="page-content">
                <?php echo $__env->make('layouts.includes.template_setting', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>

                <div class="page-header">
                    <h1>
                        <?php echo $__env->make($view_path.'.includes.breadcrumb-primary', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                        <small>
                            <i class="ace-icon fa fa-angle-double-right"></i>
                            <?php echo e($panel); ?> Detail
                        </small>
                    </h1>
                </div><!-- /.page-header -->

                <div class="row">
                    <?php echo $__env->make('hostel.includes.buttons', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                    <hr class="hr-4">
                    <?php echo $__env->make('hostel.food.includes.buttons', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>

                    <?php echo $__env->make('includes.flash_messages', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                    <?php if(isset($data['row']) && $data['row']->count() > 0): ?>
                        <?php echo $__env->make($view_path.'.edit', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                    <?php else: ?>
                        <?php echo $__env->make($view_path.'.add', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                    <?php endif; ?>
                    <div class="col-md-8 col-xs-12">
                        <?php echo $__env->make($view_path.'.includes.table', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                    </div>
                </div><!-- /.row -->
            </div><!-- /.page-content -->
    </div><!-- /.main-content -->



<?php $__env->stopSection(); ?>

<?php $__env->startSection('js'); ?>
    <!-- page specific plugin scripts -->
    <script src="<?php echo e(asset('assets/js/select2.min.js')); ?>"></script>

    <script>
        $(document).ready(function () {

            $('select[name="food_items"]').select2({
                placeholder: 'Select Food...',
                ajax: {
                    url: '<?php echo e(route('hostel.food-name-autocomplete')); ?>',
                    dataType: 'json',
                    delay: 250,
                    processResults: function (data) {
                        return {
                            results: data
                        };

                    },
                    cache: true
                }

            });

            $('#load-html-btn').click(function () {
                var food_item = $('select[name="food_items"]').val();

                if (!food_item)
                    toastr.warning("Please, Choose Food Item First.", "Warning");
                else {
                    $.ajax({
                        type: 'POST',
                        url: '<?php echo e(route('hostel.food.food-html')); ?>',
                        data: {
                            _token: '<?php echo e(csrf_token()); ?>',
                            id: food_item
                        },
                        success: function (response) {
                            var data = $.parseJSON(response);
                            if (data.error) {
                                toastr.warning(data.message, "warning");
                            } else {
                                $('#food_wrapper').append(data.html);
                                //toastr.success(data.message, "success");
                            }
                        }
                    });
                }
            });

            $('.schedule-btn').click(function () {
                var flag = false;
                var hostels_id = $('select[name="hostels_id"]').val();
                var days_id = $('select[name="days_id"]').val();
                var eating_times_id = $('select[name="eating_times_id"]').val();
                var eating_times_id = $('select[name="eating_times_id"]').val();

                if(hostels_id > 0){
                    flag =  true;
                }else{
                    toastr.info("Please, Choose Schedule Hostel","Info:");
                    return false;
                }

                if(days_id > 0){
                    flag =  true;
                }else{
                    toastr.info("Please, Choose Schedule Day","Info:");
                    return false;
                }

                if(eating_times_id > 0){
                    flag =  true;
                }else{
                    toastr.info("Please, Choose Eating Time","Info:");
                    return false;
                }

                if(flag =  true){
                    return true;
                }else{
                    return false;
                }

            });


        });
    </script>
    <?php echo $__env->make('includes.scripts.delete_confirm', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
    <?php echo $__env->make('includes.scripts.bulkaction_confirm', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
    <?php echo $__env->make('includes.scripts.dataTable_scripts', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.master', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>