<div class="row">
    <div class="col-xs-12">
        <h4 class="header large lighter blue"><i class="fa fa-list" aria-hidden="true"></i>&nbsp;TargetExam List</h4>
        <?php echo Form::open(['route' => 'print-out.exam.admit-card', 'id' => 'bulk_action_form']); ?>

        <div class="clearfix">
            <div class="form-horizontal ">
                <div class="clearfix">
                    <div class="form-group">
                        <?php echo Form::label('years_id', 'Year', ['class' => 'col-sm-1 control-label']); ?>

                        <div class="col-sm-2">
                            <?php echo Form::select('years_id', $data['years'], null, ["class" => "form-control border-form","required"]); ?>

                            <?php echo $__env->make('includes.form_fields_validation_message', ['name' => 'years_id'], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                        </div>

                        <?php echo Form::label('months_id', 'Month', ['class' => 'col-sm-1 control-label']); ?>

                        <div class="col-sm-2">
                            <?php echo Form::select('months_id', $data['months'], null, ["class" => "form-control border-form","required"]); ?>

                            <?php echo $__env->make('includes.form_fields_validation_message', ['name' => 'months_id'], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                        </div>

                        <?php echo Form::label('exams_id', 'Exam', ['class' => 'col-sm-1 control-label']); ?>

                        <div class="col-sm-5">
                            <?php echo Form::select('exams_id', $data['exams'], null, ["class" => "form-control border-form","required"]); ?>

                            <?php echo $__env->make('includes.form_fields_validation_message', ['name' => 'exams_id'], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label">Faculty</label>
                        <div class="col-sm-5">
                            <?php echo Form::select('target_faculty', $data['faculties'], null, ['class' => 'form-control', 'onChange' => 'loadSemesters(this);']); ?>

                        </div>

                        <label class="col-sm-2 control-label">Semester</label>
                        <div class="col-sm-3">
                            <select name="semester_select" class="form-control semester_select">
                                <option> Select Semester </option>
                            </select>
                        </div>
                    </div>
                </div>
                <div class="clearfix form-actions">
                    <div class="align-right">
                        <button class="btn btn-info" type="submit" id="print-btn">
                            <i class="fa fa-print bigger-110"></i>
                            Print Admit Card
                        </button>
                    </div>
                </div>
                <div class="hr hr-24"></div>
            </div>
            <hr class="hr-8">
            <span class="pull-right tableTools-container"></span>
        </div>
        <div class="table-header">
            <?php echo e($panel); ?>  Record list on table. Filter list using search box as your Wish.
        </div>
        <!-- div.table-responsive -->
        <div class="table-responsive">
            <table id="dynamic-table" class="table table-striped table-bordered table-hover">
                    <thead>
                        <tr>
                        <th class="center">
                            <label class="pos-rel">
                                <input type="checkbox" class="ace" />
                                <span class="lbl"></span>
                            </label>
                        </th>
                        <th>S.N.</th>
                        <th>Faculty</th>
                        <th>Semester</th>
                        <th>Reg. Date</th>
                        <th>Reg. Number</th>
                        <th>Name of Student</th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php if(isset($data['student']) && $data['student']->count() > 0): ?>
                        <?php ($i=1); ?>
                        <?php $__currentLoopData = $data['student']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $student): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td class="center first-child">
                                    <label>
                                        <input type="checkbox" name="chkIds[]" value="<?php echo e($student->id); ?>" class="ace" />
                                        <span class="lbl"></span>
                                    </label>
                                </td>
                                <td><?php echo e($i); ?></td>
                                <td> <?php echo e(ViewHelper::getFacultyTitle( $student->faculty )); ?></td>
                                <td> <?php echo e(ViewHelper::getSemesterTitle( $student->semester )); ?></td>
                                <td><?php echo e(\Carbon\Carbon::parse($student->reg_date)->format('Y-m-d')); ?>

                                </td>
                                <td><a href="<?php echo e(route('student.view', ['id' => $student->id])); ?>"><?php echo e($student->reg_no); ?></a></td>
                                <td> <?php echo e($student->first_name.' '.$student->middle_name.' '. $student->last_name); ?></td>

                            </tr>
                            <?php ($i++); ?>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <?php else: ?>
                        <tr>
                            <td colspan="10">No <?php echo e($panel); ?> data found.</td>
                            </td>
                        </tr>
                    <?php endif; ?>
                    </tbody>
                </table>
        </div>
        <?php echo Form::close(); ?>

    </div>
</div>


