

<?php $__env->startSection('css'); ?>
    <!-- page specific plugin styles -->
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>

    <div class="main-content">
        <div class="main-content-inner">
            <div class="page-content">
                <div class="page-header">
                    <h1>
                        <?php echo e($panel); ?> Manager
                        <small>
                            <i class="ace-icon fa fa-angle-double-right"></i>
                            <?php echo e($panel); ?> Detail
                        </small>
                    </h1>
                </div><!-- /.page-header -->

                <div class="row">
                    <?php echo $__env->make('includes.flash_messages', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                    <?php echo $__env->make('includes.validation_error_messages', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                    <div class="col-md-4">
                        <h4 class="header large lighter blue"><i class="fa fa-search" aria-hidden="true"></i>&nbsp;<?php echo e($panel); ?> Form</h4>
                        <?php
                            $session = isset($data['row']->session_id) ? $data['row']->session_id :'';
                            $branch = isset($data['row']->branch_id) ? $data['row']->branch_id :'';
                            $isCourseBatch = isset($data['row']->is_course_batch) ? $data['row']->is_course_batch :'';
                        ?>
                            <?php if(isset($data['row'])): ?>
                                 <?php echo Form::model($data['row'],['route'=>['branch_batchwise.edit', $data['row']->id],'method'=>'POST', 'class' => 'form-horizontal',
                                        'id' => 'validation-form', "enctype" => "multipart/form-data"]); ?>

                              <?php else: ?> 
                                 <?php echo Form::open(['route'=>'branch_batchwise','method'=>'POST', 'class' => 'form-horizontal',
                                        'id' => 'validation-form', "enctype" => "multipart/form-data"]); ?> 
                              <?php endif; ?>  
                            <div class="form-group">
                                <div class="row">
                                    <?php echo Form::label('branch','Branch', ['class' => 'col-sm-4 control-label']); ?>

                                    <div class="col-sm-8">
                                        <?php echo e(Form::select('branch_id',$data['branch'],$branch, ['class'=>'form-control','required'])); ?>

                                    </div>
                                </div>
                            </div>
                            <div class="form-group">
                                <div class="row">
                                    <?php echo Form::label('session','Session', ['class' => 'col-sm-4 control-label']); ?>

                                    <div class="col-sm-8">
                                        <?php echo e(Form::select('session_id',$data['session'],$session, ['class'=>'form-control','required'])); ?>

                                    </div>
                                </div>
                            </div>
                            <div class="form-group">
                                <div class="row">
                                    <?php echo Form::label('course','Is Course Batch', ['class' => 'col-sm-4 control-label']); ?>

                                    <div class="col-sm-8">
                                        <?php echo Form::select('is_course_batch',[''=>'--Select--','1'=>'YES','0'=>'NO'],$isCourseBatch, ['class'=>'form-control','required']); ?>

                                    </div>
                                </div>

                            </div>
                                <div class="row"><div class="col-sm-12 text-right">
                                    <input type="submit" name="submit" value="Save" class="btn btn-info">
                                </div></div>

                            <?php echo Form::close(); ?>

                    </div>
                   
                    <div class="col-md-8 col-xs-12">
                        <div class="row">
                            <div class="col-xs-12">
                                <?php echo $__env->make('includes.data_table_header', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                                <!-- div.table-responsive -->
                                <div class="table-responsive">
                                    <table id="dynamic-table" class="table table-striped table-bordered table-hover">
                                        <thead>
                                        <tr>
                                            <th>S.N.</th>
                                            <th>Branch</th>
                                            <th>Session</th>
                                            <th>Is Course Batch</th>
                                            <th></th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        <?php if(isset($data['records']) && $data['records']->count() > 0): ?>
                                            <?php ($i=1); ?>
                                            <?php $__currentLoopData = $data['records']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $tbl): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <tr>
                                                    <td><?php echo e($i); ?></td>
                                                    <td>
                                                        <?php echo e($tbl->branch_name); ?>

                                                    </td>
                                                    <td ><?php echo e($tbl->session_name); ?></td>
                                                    <td><?php echo e($tbl->is_course_batch == 1?'Yes':'No'); ?></td>
                                                    <td>
                                                        <div class="hidden-sm hidden-xs action-buttons">
                                                            <a class="green" href="<?php echo e(route('branch_batchwise.edit',[$tbl->id])); ?>">
                                                                <i class="ace-icon fa fa-pencil bigger-130"></i>
                                                            </a>

                                                        </div>
                                                    </td>
                                                </tr>
                                                <?php ($i++); ?>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        <?php else: ?>
                                            <tr>
                                                <td colspan="5">No <?php echo e($panel); ?> data found.</td>
                                            </tr>
                                        <?php endif; ?>
                                        </tbody>
                                    </table>
                                </div>
                            </div>

                    </div>
                    
                </div><!-- /.row -->

            </div><!-- /.page-content -->
    </div><!-- /.main-content -->



<?php $__env->stopSection(); ?>

<?php $__env->startSection('js'); ?>
    <!-- page specific plugin scripts -->
    <?php echo $__env->make('includes.scripts.delete_confirm', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
    <?php echo $__env->make('includes.scripts.bulkaction_confirm', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
    <?php echo $__env->make('includes.scripts.dataTable_scripts', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
    <script>
        $(document).ready(function () {
            /*Change Field Value on Capital Letter When Keyup*/
            $(function() {
                $('.upper').keyup(function() {
                    this.value = this.value.toUpperCase();
                });
            });
            /*end capital function*/

        });
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.master', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>