<?php

namespace Tzsk\Payu\Controllers;

use Illuminate\Http\Request;
use Tzsk\Payu\Helpers\Processor;
use Illuminate\Routing\Controller;
use Tzsk\Payu\Helpers\FormBuilder;
use Illuminate\Support\Facades\Session;

class PaymentController extends Controller
{
    /**
     * Got to payment.
     *
     * @param Request $request
     * @return \Illuminate\Contracts\View\Factory|\Illuminate\View\View
     */
    public function index(Request $request)
    {
        $formDataCheck = (new FormBuilder($request))->build();
        $hashVal = $formDataCheck->fields['hash'];
        $paymentPostData = $formDataCheck->fields;
        
        return view('tzsk::payment_form', [
            'payment' => $formDataCheck
        ]);
    }

    /**
     * After payment it will return here.
     *
     * @param Request $request
     * @return \Illuminate\Http\RedirectResponse
     */
    public function payment(Request $request)
    {
        $get_hash_array = Session::get('get_hash_array');
        $getSalt        = Session::get('getSalt');
        $getKey         = Session::get('getKey');

        $txnId          = $get_hash_array[0];
        $txnAmt         = $get_hash_array[1];
        
        $recTxnId       = ($request->request->get('txnid')); 
        $recTxnAmt      = ($request->request->get('amount'));
        $recTxnstatus   = ($request->request->get('status')); 

        $recTxnHash     = ($request->request->get('hash'));

        //Create reverse checksum array to validate
        $checksum_array = array_merge(
            [$getSalt],
            [$recTxnstatus],
            [($request->request->get('udf10'))? $request->request->get('udf10') : ''],
            [($request->request->get('udf9')) ? $request->request->get('udf9') : ''],
            [($request->request->get('udf8')) ? $request->request->get('udf8') : ''],
            [($request->request->get('udf7')) ? $request->request->get('udf7') : ''],
            [($request->request->get('udf6'))? $request->request->get('udf6') : ''],
            [($request->request->get('udf5')) ? $request->request->get('udf5') : ''],
            [($request->request->get('udf4'))? $request->request->get('udf4') : ''],
            [($request->request->get('udf3'))? $request->request->get('udf3') : ''],
            [($request->request->get('udf2')) ? $request->request->get('udf2') : ''],
            [($request->request->get('udf1'))? $request->request->get('udf1') : ''], 
            [$request->request->get('email')],
            [$request->request->get('firstname')],
            [$request->request->get('productinfo')],
            [$request->request->get('amount')],
            [$request->request->get('txnid')], 
            [$getKey]
        );
        $revCheckSum = hash('sha512', implode('|', $checksum_array));
        
        $payment = (new Processor($request))->process();

        if($revCheckSum==$recTxnHash)
        {
            $payment['checksumStatus'] = "Success";
        }else{
            $payment['checksumStatus'] = "Tampered";
        }

        Session::put('tzsk_payu_data.payment', $payment);

        return redirect()->to(base64_decode($request->callback));
    }
}
